<?php

$main_opts = get_option('fupi_main');
$magic_keyword = ! empty ( $main_opts['magic_keyword'] ) ? $main_opts['magic_keyword'] : 'tracking';

switch( $a['id'] ){

	// INTEGRATIONS
	// <a href="" data-srcid="9EIODjx3jy0" class="fupi_vid_thumb fupi_vid"><img src="'.FUPI_URL.'\admin\settings\img\fp-first-steps-vid_min.jpg"><span class="fupi_vid_thumb_play_btn dashicons dashicons-controls-play"></span></a>
	case 'fupi_tools_integrations':
		return '<p class="fupi_subtitle">' . esc_html__( 'Choose the tools you want to use on your site.', 'fupi' ) . '</p>' .
		$help_start . '
			<p>After you save your choices new menu items will show up in the WP sidebar menu.</p>' .
		$help_end . '
			<div id="fupi_tools_filters_wrap">
				<h3>Filter by:</h3>
				<div class="fupi_col">
					<div id="fupi_admindash_tools_filter">
						<label class="fupi_switch"><input type="checkbox" id="fupi_show_admindash_tools_switch"/><span class="fupi_slider"></span></label>
						<span class="fupi_faux_label" style="display: inline">' . esc_html__('Tools that display statistics in WP admin', 'fupi') . ' </span>
					</div>
					<div id="fupi_nocookie_tools_filter">
						<label class="fupi_switch"><input type="checkbox" id="fupi_show_nocookie_tools_switch"/><span class="fupi_slider"></span></label>
						<span class="fupi_faux_label" style="display: inline">' . esc_html__('Tools that don\'t use cookies', 'fupi') . ' </span>
						<div class="fupi_tooltip">?<span class="fupi_tooltiptext">' . esc_html__('You won\'t need a cookie notice if you only use tools that don\'t use cookies.', 'fupi') . '</span></div>
					</div>
				</div>
				<div class="fupi_col">
					<div id="fupi_tools_filter">
						<span class="fupi_faux_label" tyle="display: inline">' . esc_html__('Tools for', 'fupi') . ': </span>
						<select>
							<option value="">'. esc_attr__('Show all', 'fupi') .'</option>
							<option value="fupi_tag_analytics">'. esc_attr__('Traffic statistics', 'fupi') .'</option>
							<option value="fupi_tag_recording">'. esc_attr__('Heatmaps & session recording', 'fupi') .'</option>
							<option value="fupi_tag_conversion">'. esc_attr__('Advertising & conversions tracking', 'fupi') .'</option>
							<option value="fupi_tag_testing">'. esc_attr__('A/B Testing', 'fupi') .'</option>
							<option value="fupi_tag_surveys">'. esc_attr__('Conducting surveys', 'fupi') .'</option>
							<option value="fupi_tag_tagmanager">'. esc_attr__('Tag management', 'fupi') .'</option>
						</select>
					</div>
				</div>
			</div>';
	break;

	// GLOBAL SETTINGS

	case 'fupi_tools_sources':
		return '<p class="fupi_subtitle">' . esc_html__( 'Choose what other sources (apart from WordPress) should Full Picture grab data from.', 'fupi' ) . '</p>' .
			$help_start . '
				<p>After you save your choices visit "Global Settings" page to configure the data sources.</p>' .
			$help_end;
	break;

	// SECURITY & PRIVACY

	case 'fupi_tools_other':
		return '<p class="fupi_subtitle">' . esc_html__( 'Start using a GDPR-compliant cookie notice', 'fupi' ) . '</p>' .
			$help_start . '
				<p>After you save your choices a link to "Cookie settings" page will show up in WP sidebar menu.</p>' .
			$help_end;
	break;

	// DEFAULT

	default:
		return '';
	break;
};

?>
