<?php

$output = array();
if ( ! $input) return $output;

foreach( $input as $key => $value ) {

	$clean_key = sanitize_key( $key );

	if( ! empty( $value ) ) {

		switch ($clean_key) {
			case 'track_affiliate':
			case 'track_elems':
			case 'track_forms':
				$clean_val = sanitize_textarea_field( $value );
				break;
			case 'id':
			case 'add_to_cart_id':
			case 'checkout_start_id':
			case 'purchase_id':
				$clean_val = sanitize_text_field( $value );
				break;
			default:
				$clean_val = strip_tags( stripslashes( $value ) );
				break;
		}

		// error_log('sanitized ' . $clean_key . ' value: ' . json_encode($clean_val) );

		if ( ! empty( $clean_val ) && ! empty ( $clean_key ) ) $output[$clean_key] = $clean_val;
	}
}

return $output;
?>
