;(function(window){

	// load on pageload
	if ( allow_loading() ) load_clar();

	// Load on event
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'clar':
				if ( allow_loading() ) load_clar();
				break;
		}
	});

	// FUNCTIONS

	function allow_loading(){
		 var isAllowedToLoad = FP.isAllowedToLoad( 'clar', ['stats'], ['id'] ); // module id in fp.XX, required cookie permission, setting name with required data (like in fp.gtm.setting_name)
		 return isAllowedToLoad;
	}

	

	function load_clar() {

		// LOAD CLARITY

	    (function(c,l,a,r,i,t,y){
	        c[a]=c[a]||function(){(c[a].q=c[a].q||[]).push(arguments)};
	        t=l.createElement(r);t.async=1;t.src="https://www.clarity.ms/tag/"+i;
	        y=l.getElementsByTagName(r)[0];y.parentNode.insertBefore(t,y);
	    })(window, document, "clarity", "script", fp.clar.id);

		// TAG WITH PAGE AUTHOR

		if ( fp.clar.tag_pageauthor && fp.data.wp.author_name ) {
			clarity( 'set', 'Author', fp.data.wp.author_name );
		};

		// TAG WITH USER ROLE AND STATUS

		if ( fp.clar.tag_user_role && fp.data.wp.user_role ) {
			clarity( 'set', 'User role', fp.data.wp.user_role );
		};

		// LOAD FOOTER SCTIPTS
		fp.loaded.push('clar');
		if( FP.fns.load_clar_footer ) FP.fns.load_clar_footer();

		
	}

})(window);
