;(function(window){

    // load on pageload
	if ( allow_loading(1) ) {
		load_fbp(1);
		
	}

    // Load on event
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'fbp':
				if ( allow_loading(1) ) {
					load_fbp(1);
					
				}
			break;
		}
	});

    function allow_loading(nr){
		return FP.isAllowedToLoad( 'fbp', ['stats', 'marketing'], ['pixel_id'], nr ); // module id in fp.XX / required cookie permission / settign name with required data (like in fp.ga.setting_name)
	}

    function load_fbp(nr) {

		if ( nr == 1 ) {
			!function(f,b,e,v,n,t,s)
	        {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
	        n.callMethod.apply(n,arguments):n.queue.push(arguments)};
	        if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
	        n.queue=[];t=b.createElement(e);t.async=!0;
	        t.src=v;s=b.getElementsByTagName(e)[0];
	        s.parentNode.insertBefore(t,s)}(window, document,'script',
	        'https://connect.facebook.net/en_US/fbevents.js');
		}

		let _fbp = fp['fbp' + nr];

		_fbp.param = {}

		// PAGE TYPE
		if ( _fbp.track_pagetype && fp.data.wp.page_type ) _fbp.param.page_type = fp.data.wp.page_type;

		// PAGE TITLE
		if ( _fbp.track_pagetitle && fp.data.wp.page_title ) _fbp.param.page_title = fp.data.wp.page_title;

		// TERMS
		if ( _fbp.track_terms && fp.data.wp.terms && fp.data.wp.terms.length > 0 ) {

			var term_arr = fp.data.wp.terms.map( function (term_data) {
				var term = _fbp.send_tax_terms_titles ? term_data.name : term_data.slug;
				term += _fbp.add_tax_term_cat ? ' (' + term_data.taxonomy + ')' : '';
				return term;
			});

			_fbp.param.terms = term_arr.join(', ');
		}

		// AUTHOR DISPLAY NAME
		if ( _fbp.track_author && fp.data.wp.author_name ) _fbp.param.author = fp.data.wp.author_name;

		// PAGE NUMBER
		if ( _fbp.track_pagenum && fp.data.wp.page_number > 0 ) _fbp.param.page_number = fp.data.wp.page_number;

		// PAGE LANGUAGE
		if ( _fbp.page_lang ) _fbp.param.page_lang = document.documentElement.lang || 'undefined';

		// PAGE ID
		if ( _fbp.track_pageid && fp.data.wp.page_id && fp.data.wp.page_id > 0 ) _fbp.param.page_id = fp.data.wp.page_id;

		// PUBLISH DATE
		if ( _fbp.track_pobdate && fp.data.wp.published && fp.data.wp.published.length > 0 ) _fbp.param.published = fp.data.wp.published;

		// INIT
		fbq('init', _fbp.pixel_id);

		// TRACK PAGEVIEW
		fbq( 'trackSingle', _fbp.pixel_id, 'PageView', _fbp.param );

		// TRACK SEARCH
		if ( _fbp.track_search && fp.data.wp.page_type == 'search' ) {

			var data = {
				'search_string' : fp.data.wp.search_query
			};

			fbq( 'trackSingle', _fbp.pixel_id, 'Search', data );
			if ( fp.data.vars.debug ) console.log('FB' + nr + ' event: search term', data);
		}

		// SET USER PROPERTIES
		let userProps = {};

		// USER'S BROWSER LANGUANGE
		if ( _fbp.track_lang ) userProps.$language = navigator.language;

		// USER ROLE
		if ( _fbp.track_user_role && fp.data.wp.user_role && fp.data.wp.user_role.length > 0 ) userProps.$user_type = fp.data.wp.user_role;

		if ( !FP.isObjectEmpty(userProps) ) {
			fbq('setUserProperties', _fbp.pixel_id, userProps);
		}

		// LOAD FOOTER SCRIPTS
		fp.loaded.push('fbp' + nr);
		if ( FP.fns.load_fbp_footer ) FP.fns.load_fbp_footer(nr);


		

    }
})(window);
