;(function(window){

	// load on pageload
	if ( allow_loading() ) load_pla();

	// Load on event
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'pla':
				if ( allow_loading() ) load_pla();
			break;
		}
	});

	// FUNCTIONS

	function allow_loading(){
		return FP.isAllowedToLoad( 'pla', [], [] ); // module id in fp.XX, required cookie permission, setting name with required data (like in fp.gtm.setting_name)
	}

	function after_pla_loads () {
		window.plausible = window.plausible || function() { (window.plausible.q = window.plausible.q || []).push(arguments) };

		// LOAD FOOTER SCRIPTS
		fp.loaded.push('pla');

		if( FP.fns.load_pla_footer ) FP.fns.load_pla_footer();

		
	};

	function load_pla() {

		// LOAD PLAUSIBLE
		var data_domain = fp.pla.domain ? fp.pla.domain : location.host,
			script_domain = fp.pla.custom_domain ? '//' + fp.pla.custom_domain : 'https://plausible.io';

	    FP.getScript( script_domain + '/js/plausible.js', after_pla_loads, { 'data-domain' : data_domain, 'defer' : 'defer' } );

	}

})(window);
