<?php

switch( $a['id'] ){

    // BASIC CONFIG

	case 'fupi_gopt_basic':

		return '<p class="fupi_subtitle">' . esc_html__( 'Start using Google Optimzie on your site', 'fupi' ) . '</p>' .
		$help_start . '
			<h3>' . esc_html__( 'What you need to know', 'fupi' ) . '</h3>
			<p>' . esc_html__( 'Google Optimize requires Google Analytics UA to work (Google Analytics 4 is not supported). Please make sure that it is enabled and configured before you continue.', 'fupi' ) . '</p>
			<p>' . sprintf( esc_html__( 'If you want your site to be compliant with cookie laws %1sread this article%2s before you continue.', 'fupi' ), '<a href="https://fullpictureplugin.com/google-optimize-gdpr-compliance/" target="_blank">', '</a>' ) . '</p>
			<p>' . esc_html__( 'If you are using a different plugin to integrate Google Analytics UA with your site than you need to go to the "Advanced Setup" tab and follow instructions you will find there.', 'fupi' ) . '</p>' .
		$help_end;
	break;

	// ADVANCED CONFIG

	case 'fupi_gopt_advanced':
		return $help_start . '
			<p>' . esc_html__( 'If you integrated Google Analytics UA with a different plugin than Full Picture than change the loading method of Google Optimize to optimize.js.', 'fupi' ) . '</p>' .
		$help_end;
	break;

    default:
        return '';
    break;
};

?>
