<?php

switch( $a['id'] ){

	// MAIN

    case 'fupi_gtm_main':
        return '<p class="fupi_subtitle">' . esc_html__( 'Start using Google Tag Manager on your site', 'fupi' ) . '</p>';
    break;

	// CUSTOM EVENTS

	case 'fupi_gtm_ecomm':

        $output = '<p class="fupi_subtitle">' . esc_html__( 'Track e-commerce events', 'fupi' ) . '</p>' . $help_start . '
        <h3>' . esc_html__( 'What you can track', 'fupi' ) . '</h3>
        <p>' . sprintf( esc_html__( 'Full Picture can track a number of e-commerce events like checkouts, purchases, product views, list item views and more. %1$sSee the full list here%2$s.', 'fupi' ), '<a href="https://fullpictureplugin.com/?p=4734&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link" target="_blank">', '</a>' ). '</p>
        <h3>' . esc_html__( 'How to enable e-commerce tracking for Google Tag Manager', 'fupi' ) . '</h3>' .
        '<ol class="fupi_list_steps">
			<li>' . sprintf(
				esc_html__( 'Enable the integration with your e-commerce plugin %1$son this page%2$s. If it is not on the list (or you are not using a plugin) use %3$sFull Picture\'s custom events%4$s;', 'fupi' ),
				'<a href="?page=full_picture_tools" target="_blank">',
				'</a>',
				'<a href="https://fullpictureplugin.com/?p=797&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link" target="_blank">',
				'</a>'
			) . '</li>
			<li>' . sprintf( esc_html__( 'Configure the %1$sglobal tracking settings%2$s for your plugin.', 'fupi' ), '<a href="?page=full_picture_main" target="_blank">', '</a>' ) . '</li>
		</ol>' . $help_end;

        // If woocommerce is enabled
        if ( ! $this->is_woo_enabled ) {
            $output .= '<p class="fupi_highlight"><span class="dashicons dashicons-no"></span> ' .  sprintf( esc_html__( 'WooCommerce integration is %1$sdisabled%2$s. %3$sEnable it in "data source" tab (above) and make sure that you are using WooCommerce in version 3.7 or newer.', 'fupi' ), '<strong style="color: red;">', '</strong>', '<br><br>' ) . '</p>';
        } else {
            $output .= '<p class="fupi_highlight"><span class="dashicons dashicons-yes"></span> ' . sprintf( esc_html__( 'WooCommerce integration is %1$senabled%2$s. Data will be sent t GTM automatically.', 'fupi' ), '<strong style="color: green;">', '</strong>', '<br><br>' ) . '</p>';
        };

        return $output;

	break;

    default:
        return '';
    break;
};

?>
