<?php

// GOOGLE_OPTIMIZE

if ( $this->goptimize_enabled ) {
    $goptimize_data = get_option( 'fupi_gopt' );
    if ( !empty($goptimize_data) ) {
        $output .= 'fp.gopt = ' . json_encode( $goptimize_data ) . ";\n";
    }
}

// GOOGLE ANALYTICS 4

if ( $this->ga41_enabled ) {
    $ga41_data = get_option( 'fupi_ga41' );
    if ( !empty($ga41_data) ) {
        $output .= 'fp.ga41 = ' . json_encode( $ga41_data ) . ";\n";
    }
}

// GOOGLE ANALYTICS UA

if ( $this->ga1_enabled ) {
    $ga1_data = get_option( 'fupi_ga1' );
    if ( !empty($ga1_data) ) {
        $output .= 'fp.ga1 = ' . json_encode( $ga1_data ) . ";\n";
    }
}

// GTM

if ( $this->gtm_enabled ) {
    $gtm_data = get_option( 'fupi_gtm' );
    if ( !empty($gtm_data) ) {
        $output .= 'fp.gtm = ' . json_encode( $gtm_data ) . ";\n";
    }
}

// FB PIXEL DATA

if ( $this->fbp1_enabled ) {
    $fbp1_data = get_option( 'fupi_fbp1' );
    if ( !empty($fbp1_data) ) {
        $output .= 'fp.fbp1 = ' . json_encode( $fbp1_data ) . ";\n";
    }
}

// MS CLARITY

if ( $this->clar_enabled ) {
    $clar_data = get_option( 'fupi_clar' );
    if ( !empty($clar_data) ) {
        $output .= 'fp.clar = ' . json_encode( $clar_data ) . ";\n";
    }
}

// HOTJAR

if ( $this->hotj_enabled ) {
    $hotj_data = get_option( 'fupi_hotj' );
    if ( !empty($hotj_data) ) {
        $output .= 'fp.hotj = ' . json_encode( $hotj_data ) . ";\n";
    }
}

// PLAUSIBLE

if ( $this->pla_enabled ) {
    $pla_data = get_option( 'fupi_pla' );
    
    if ( !empty($pla_data) ) {
        $output .= 'fp.pla = ' . json_encode( $pla_data ) . ";\n";
    } else {
        $output .= 'fp.pla = true;' . "\n";
    }

}

// SPLITBEE

if ( $this->sbee_enabled ) {
    $sbee_data = get_option( 'fupi_sbee' );
    
    if ( !empty($sbee_data) ) {
        $output .= 'fp.sbee = ' . json_encode( $sbee_data ) . ";\n";
    } else {
        $output .= 'fp.sbee = true;' . "\n";
    }

}

// INSPECTLET

if ( $this->inspectlet_enabled ) {
    $insp_data = get_option( 'fupi_insp' );
    if ( !empty($insp_data) ) {
        $output .= 'fp.insp = ' . json_encode( $insp_data ) . ";\n";
    }
}

// CRAZYEGG

if ( $this->crazyegg_enabled ) {
    $cegg_data = get_option( 'fupi_cegg' );
    if ( !empty($cegg_data) ) {
        $output .= 'fp.cegg = ' . json_encode( $cegg_data ) . ";\n";
    }
}

// LINKEDIN INSIGHT

if ( $this->linkd_enabled ) {
    $linkd_data = get_option( 'fupi_linkd' );
    if ( !empty($linkd_data) ) {
        $output .= 'fp.linkd = ' . json_encode( $linkd_data ) . ";\n";
    }
}
