;(function(window){

	// load on pageload
	if ( allow_loading() ) load_cegg();

	// Load on event
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'cegg':
				if ( allow_loading() ) load_cegg();
			break;
		}
	});

	// FUNCTIONS

	function allow_loading(){
		return FP.isAllowedToLoad( 'cegg', ['stats', 'personalisation'], ['script_src'] ); // module id in fp.XX, required cookie permission, setting name with required data (like in fp.gtm.setting_name)
	}

	function after_cegg_loads() {
		window.CE_READY = function() {

			if ( fp.cegg.identif_users && fp.data.wp.user_id ) {
				var userid = fp.cegg.encode_userid ? FP.encode(fp.data.wp.user_id) : fp.data.wp.user_id;
				CE2.identify( userid );
			}

			

			// LOAD FOOTER SCRIPTS
			fp.loaded.push('cegg');
			if ( FP.fns.load_cegg_footer ) FP.fns.load_cegg_footer();
		}
	}

	function load_cegg() {
	    FP.getScript( fp.cegg.script_src, after_cegg_loads, { 'async' : 'async' } );
	}

})(window);
